Difference between revisions of "Draft Ellipse/cs"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
+
{{Docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">
Line 86: Line 86:
 
}}
 
}}
  
{{docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
+
{{Docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
  
 
{{Draft Tools navi}}
 
{{Draft Tools navi}}

Latest revision as of 20:51, 11 February 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Kreslení Elipsa

Umístění Menu
Kreslení -> Elipsa
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
E L
Představen ve verzi
-
Viz také
Kreslení Kružnice


Popis

Nástroj Elipsa vytvoří elipsu v aktuální pracovní rovině vložením dvou bodů definujících roh obdélníku, kterému je elipsa vepsána. Elipsa přebírá barvu a tloušťku čáry předem nastavenou v záložce úloh.

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Draft ellipse example.jpg

Draft ellipse example.jpg

Použití

  1. Stiskněte tlačítko Draft Ellipse.png Elipsa nebo klávesy E pak L
  2. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice.

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Volby

  • Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu T nebo klikněte na zaklikávací políčko pro zatrhnutí nebo odtrhnutí tlačítka Pokračovat. Je-li nastaven pokračovací mód, bude nástroj Elipsa hned po zadání druhého bodu připraven ke kreslení další elipsy bez nutnosti stisknout znovu tlačítko Elipsa.
  • Stisknutím klávesy CTRL během kreslení vynutíte přichycení vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
  • Stisknutím klávesy SHIFT během kreslení nastavíte vazbu vašeho bodu svisle nebo vodorovně v relaci k předchozímu bodu.
  • Stisknutím klávesy I nebo tlačítka Vyplnit bude se elipsa po uzavření jevit jako povrch (vyplněná). Tak se jednoduše nastaví Pohled->Vlastnosti elipsy na "Flat přímky" nebo "Drátový model", což může být nastaveno i později.
  • Stisknutím tlačítka ESC nebo Cancel zrušíte právě probíhající příkaz.
  • Elipsy v zobrazovacím módu "Flat přímky" mohou mít šrafování podle nastavení jejich vlastnosti "Vzor" níže.

Vlastnosti

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

  • DATAVelký poloměr: Velký poloměr elipsy
  • DATAMalý poloměr: Malý poloměr elipsy
  • VIEWVzor: Určuje šrafovací vzor, kterým má elipsa být vyplněna
  • VIEWRozměr vzoru: Určuje velikost šrafovacího vzoru

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj Elipsa může být využit v makrech a z konzoly Pythonu použitím následující funkce:

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Vytvoří elipsu s daným velkým (majorradius) a malým(minorradius) poloměrem.
  • Je-li zadán placement (umístění), bude využito.
  • Je-li facemode False, bude se elipsa zobrazovat jako drátový model, jinak jako plocha.
  • Vrací nově vytvořený pohled.

Příklad:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg